Skip to main content

Documentation Index

Fetch the complete documentation index at: https://auth0-feat-authentication-api-migration.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

POST /oidc/register With a name and the necessary callback URL, you can dynamically register a client with Auth0. No token is needed for this request.

Parameters

client_name
string
The name of the Dynamic Client to be created.
grant_types
array
List of grant types the client is able to use. If not provided, authorization_code grant type will be applied by default for Third Party Apps with enhanced security controls.
redirect_uris
array
required
An array of URLs that Auth0 will deem valid to call at the end of an Authentication flow.
token_endpoint_auth_method
string
Method used for authentication at the token endpoint.

Response

StatusDescription
200Successful response with client details.